### Method

# Pango Layout get_caret_pos

since: 1.50

#### Declaration [src]

    void
    pango_layout_get_caret_pos (
      PangoLayout* layout,
      int index_,
      PangoRectangle* strong_pos,
      PangoRectangle* weak_pos
    )

#### Description [src]

Given an index within a layout, determines the positions that of the strong and weak cursors if the insertion point is at that index.

This is a variant of `pango_layout_get_cursor_pos()` that applies font metric information about caret slope and offset to the positions it returns.

Available since: 1.50

#### Parameters

`index_`

  Type: `int`

  The byte index of the cursor.

`strong_pos`

  Type: `PangoRectangle`

  Location to store the strong cursor position.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`weak_pos`

  Type: `PangoRectangle`

  Location to store the weak cursor position.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.